package model

type SubMsgLog struct {
	Id        int64  `json:"id"`
	SoftVer   int64  `json:"softVer"`
	Uuid      string `json:"uuid"`
	FrameId   int64  `json:"frameId"`
	CowId     string `json:"cowId"`
	Csq       int64  `json:"csq"`
	Temp      int64  `json:"temp"`
	Imei      string `json:"imei" `
	Active    int32  `json:"active"`
	InActive  int32  `json:"inactive"`
	RuMina    int32  `json:"ruMina"`
	Intake    int32  `json:"intake"`
	Gasp      int32  `json:"gasp"`
	Other     int32  `json:"other"`
	ReMain    int32  `json:"remain"`
	CreatedAt int64  `json:"createdAt"`
	UpdatedAt int64  `json:"updatedAt"`
}

func (s *SubMsgLog) TableName() string {
	return "sub_msg_log"
}
