package cmd

import (
	"kpt-temporary-mqtt/config"
	"kpt-temporary-mqtt/mqtt"

	"github.com/spf13/cobra"
)

// mqttCmd represents the mqtt command
var mqttCmd = &cobra.Command{
	Use:   "mqtt",
	Short: "mqtt",
	Run: func(cmd *cobra.Command, args []string) {
		configOption := config.Options()
		client := mqtt.NewMqtt(configOption)
		mqtt.SubMsg(configOption, client)
	},
}
