package dep

import (
	golangMqtt "github.com/eclipse/paho.mqtt.golang"
	"go.uber.org/dig"
)

func DIMqtt() (out *MqttDependency) {
	container := DI()
	if err := container.Invoke(func(c *MqttDependency) { out = c }); err != nil {
		panic(err)
	}
	return
}

type MqttDependency struct {
	dig.In

	MqttServer golangMqtt.Client
}
